

async function init() {
    console.log("Running init")
    const username = sessionStorage.getItem("username");
    let userResponse = await sendRequest("GET", `${HOST}/api/users/${username}/`);
    let user = await userResponse.json().then((val) => {
        if(val){
            console.log(val);
            document.getElementById("username").placeholder = `${val.username}`;
            document.getElementById("email").placeholder = `${val.email}`;
            document.getElementById("phone_number").placeholder = `${val.phone_number}`;
            document.getElementById("country").placeholder = `${val.country}`;
            document.getElementById("city").placeholder = `${val.city}`;
            document.getElementById("street_address").placeholder = `${val.street_address}`;
            document.getElementById("main_gym").placeholder = `${val.main_gym}`;
            document.getElementById("favourite_exercise").placeholder = `${val.favourite_exercise}`;
        }

    }).catch(console.log)


}

async function createNewUser(event) {
    const username = sessionStorage.getItem("username");
    let userResponse = await sendRequest("GET", `${HOST}/api/users/${username}/`);
    let user = await userResponse.json();

    let form = document.querySelector("#form-edit-user");
    console.log(form);
    let formData = new FormData(form);
    /*
    let response = await sendRequest("POST", `${HOST}/api/users/`, formData, "");

    if (!response.ok) {
        let data = await response.json();
        let alert = createAlert("Registration failed!", data);
        document.body.prepend(alert);

    } else {
        let body = {
            username:       formData.get("username"),
            password:       formData.get("password"),
            phone_number:   formData.get("phone_number"),
            country:        formData.get("country"),
            city:           formData.get("city"),
            street_address: formData.get("street_address"),
            main_gym:   formData.get("main_gym"),
            favourite_exercise:   formData.get("favourite_exercise")
        };
        response = await sendRequest("POST", `${HOST}/api/token/`, body);
        if (response.ok) {
            let data = await response.json();
            setCookie("access", data.access, 86400, "/");
            setCookie("refresh", data.refresh, 86400, "/");
            sessionStorage.setItem("username", formData.get("username"));
        } else {
            console.log("CAN'T GET JWT TOKEN ON REGISTRATION");
            let data = await response.json();
            let alert = createAlert("Registration could not complete. Try again!", data);
            document.body.prepend(alert);
        }
        form.reset();
        //window.location.replace("workouts.html");
    }
     */
}

document.querySelector("#btn-create-account").addEventListener("click", async (event) => await createNewUser(event));
init();
